Subject: Re: bug#20285: 25.0.50; blink-cursor-mode sometimes stops blinking

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Apr 2015 16:28:03 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 10 Apr 2015 15:13:49 +0200
> 
> > But "was redisplay performed?" does not have a simple yes/no answer.
> > Depending on the circumstances, the display engine can decide to
> > redisplay one or more windows on one or more frames.  By contrast, you
> > (in this case) are only interested in the selected window on the
> > selected frame.  So I don't think a simple counter will cut it; you
> > might need a counter per window or some such.  And other use cases
> > might want something even more fine-granular, perhaps.
> 
> In the blink-cursor-mode case, only selected window of the selected
> frame is of interest because only there the cursor blinks, and I assume
> that the selected window is probably preferred by redisplay, no?

Yes, it is.  But the selected window could well change since the last
redisplay, and there are also things like with-selected-window.